.nill-teaser-25 .headline {
    grid-column: 2/span 6;
}

.nill-teaser-25 .btns-container {
    grid-column: 8/span 6;
}

.nill-teaser-25 .teaser-container {
    grid-column: 2/span 12;
    grid-row-gap: var(--grid-gap);
}

.nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-3),
.nill-teaser-25 .teaser-container .teaser-item:nth-child(4n) {
    grid-column: span 7;
}

.nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-2),
.nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-1) {
    grid-column: span 5;
}

.nill-teaser-25 .teaser-container .teaser-item:nth-child(1) {
    border-top-left-radius: max(25px, 1.953125vw);
    overflow: clip;
}

.nill-teaser-25 .teaser-container .teaser-item:nth-child(2) {
    border-top-right-radius: max(25px, 1.953125vw);
    overflow: clip;
}

.nill-teaser-25 .teaser-container .teaser-item:nth-last-child(2) {
    border-bottom-left-radius: max(25px, 1.953125vw);
    overflow: clip;
}

.nill-teaser-25 .teaser-container .teaser-item:nth-last-child(1) {
    border-bottom-right-radius: max(25px, 1.953125vw);
    overflow: clip;
}

.nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-3) .teaser-img,
.nill-teaser-25 .teaser-container .teaser-item:nth-child(4n) .teaser-img {
    aspect-ratio: 1334/654;
}

.nill-teaser-25 .teaser-container .teaser-item .teaser-img,
.nill-teaser-25 .teaser-container .teaser-item .teaser-content {
    grid-area: 1/1/span 1/span 1;
}

.nill-teaser-25 .teaser-container .teaser-item .teaser-content {
    padding: var(--m-sm);
}

.nill-teaser-25 .teaser-container .teaser-item .teaser-content .circle-btn {
    margin-bottom: auto;
}

@media (max-width: 991.98px) {
    .nill-teaser-25 .headline {
        text-align: center;
    }
    
    .nill-teaser-25 .headline,
    .nill-teaser-25 .btns-container,
    .nill-teaser-25 .teaser-container {
        grid-column: 4/span 8;
    }

    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-3),
    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n),
    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-2),
    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-1) {
        grid-column: span 8;
    }

    .nill-teaser-25 .teaser-container .teaser-item:nth-child(1) {
        border-top-right-radius: max(25px, 1.953125vw);
    }

    .nill-teaser-25 .teaser-container .teaser-item:nth-child(2) {
        border-top-right-radius: 0;
    }

    .nill-teaser-25 .teaser-container .teaser-item:nth-last-child(2) {
        border-bottom-left-radius: 0;
    }

    .nill-teaser-25 .teaser-container .teaser-item:nth-last-child(1) {
        border-bottom-left-radius: max(25px, 1.953125vw);
    }

    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-3) .teaser-img,
    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-2) .teaser-img,
    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-1) .teaser-img,
    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n) .teaser-img {
        aspect-ratio: 946/654;
    }

    .nill-teaser-25 .btns-container {
        grid-row: 3/span 1;
        margin-bottom: 0;
        margin-top: var(--m-sm);
        justify-content: center;
        justify-self: center;
    }
}

@media (max-width: 767.98px) {
    .nill-teaser-25 .headline,
    .nill-teaser-25 .btns-container,
    .nill-teaser-25 .teaser-container {
        grid-column: 3/span 10;
    }

    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-3),
    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n),
    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-2),
    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-1) {
        grid-column: span 10;
    }
}

@media (max-width: 575.98px) {
    .nill-teaser-25 .headline,
    .nill-teaser-25 .btns-container,
    .nill-teaser-25 .teaser-container {
        grid-column: 2/span 12;
    }

    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-3),
    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n),
    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-2),
    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-1) {
        grid-column: span 12;
    }

    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-3) .teaser-img,
    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-2) .teaser-img,
    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n-1) .teaser-img,
    .nill-teaser-25 .teaser-container .teaser-item:nth-child(4n) .teaser-img {
        aspect-ratio: 1/1;
    }
}